<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-banque-projet-heading" jhiTranslate="gestioncvsApp.banqueProjet.home.createOrEditLabel">Create or edit a Banque Projet</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.banqueProjet.designation" for="field_designation">Designation</label>
                    <input type="text" class="form-control" name="designation" id="field_designation"
                           formControlName="designation"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.banqueProjet.organisme" for="field_organisme">Organisme</label>
                    <input type="text" class="form-control" name="organisme" id="field_organisme"
                           formControlName="organisme"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.banqueProjet.budget" for="field_budget">Budget</label>
                    <input type="text" class="form-control" name="budget" id="field_budget"
                           formControlName="budget"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.banqueProjet.anneeProjet" for="field_anneeProjet">Annee Projet</label>
                    <div class="d-flex">
                        <input id="field_anneeProjet" type="datetime-local" class="form-control" name="anneeProjet" formControlName="anneeProjet" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.banqueProjet.duree" for="field_duree">Duree</label>
                    <input type="text" class="form-control" name="duree" id="field_duree"
                           formControlName="duree"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.banqueProjet.resultat" for="field_resultat">Resultat</label>
                    <input type="text" class="form-control" name="resultat" id="field_resultat"
                           formControlName="resultat"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.banqueProjet.mission" for="field_mission">Mission</label>
                    <input type="text" class="form-control" name="mission" id="field_mission"
                           formControlName="mission"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.banqueProjet.environTech" for="field_environTech">Environ Tech</label>
                    <select class="form-control" id="field_environTech" name="environTech" formControlName="environTechId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="environTechOption.id" *ngFor="let environTechOption of environteches; trackBy: trackById">{{ environTechOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label jhiTranslate="gestioncvsApp.banqueProjet.profils" for="field_profils">Profils</label>
                    <select class="form-control" id="field_profils" multiple name="profils" formControlName="profils">
                        <option [ngValue]="getSelected(editForm.get('profils')!.value, profilOption)" *ngFor="let profilOption of profils; trackBy: trackById">{{ profilOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
